# Uses of Class
org.eclipse.e4.ui.model.application.ui.advanced.impl.AdvancedPackageImpl

Packages that use AdvancedPackageImpl
Package
Description
org.eclipse.e4.ui.model.application.ui.advanced.impl
org.eclipse.e4.ui.model.application.ui.advanced.util

## Uses of AdvancedPackageImpl in org.eclipse.e4.ui.model.application.ui.advanced.impl

Fields in org.eclipse.e4.ui.model.application.ui.advanced.impl declared as AdvancedPackageImpl
Modifier and Type
Field
Description
`static final AdvancedPackageImpl`
AdvancedPackageImpl.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.e4.ui.model.application.ui.advanced.impl that return AdvancedPackageImpl
Modifier and Type
Method
Description
`AdvancedPackageImpl`
AdvancedFactoryImpl.`getAdvancedPackage()`
`static AdvancedPackageImpl`
AdvancedPackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

## Uses of AdvancedPackageImpl in org.eclipse.e4.ui.model.application.ui.advanced.util

Fields in org.eclipse.e4.ui.model.application.ui.advanced.util declared as AdvancedPackageImpl
Modifier and Type
Field
Description
`protected static AdvancedPackageImpl`
AdvancedAdapterFactory.`modelPackage`
The cached model package.
`protected static AdvancedPackageImpl`
AdvancedSwitch.`modelPackage`
The cached model package